Bug 1355914 - aspell crashes on terminal resize
Summary: aspell crashes on terminal resize
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ncurses
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 00:38 UTC by schlaffi
Modified: 2016-07-28 23:55 UTC (History)
3 users (show)

Fixed In Version: ncurses-6.0-6.20160709.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 23:55:22 UTC
Type: Bug


Attachments (Terms of Use)

Description schlaffi 2016-07-13 00:38:24 UTC
Description of problem:

aspell crashes when the the terminal size changes

Version-Release number of selected component (if applicable):

aspell-0.60.6.1-13.fc24.x86_64

How reproducible:

always, tested xfce4-terminal, xterm, and screen, 

Steps to Reproduce:
1. $ aspell check .bash_history
2. resize terminal emulator

Actual results:

segfault

Expected results:

aspell's ncurses interface adapts to the new size, or, at least, do not crash

Additional info:

hunspell works, so it is not an obvious ncurses bug. Also this bug is pretty new, although I can't tell when it occurred first, maybe on fc22->fc24 :( It also crashes on the console with screen and split screen, C-a S.

Comment 1 Nikola Forró 2016-07-13 14:33:04 UTC
Here is the problematic code:

delscreen(term);
term = newterm(0, stdout, stdin);

ncurses in Fedora 24 are built with SCREEN-extensions (sp-funcs) enabled, but there is a bug causing the above code to crash. The bug is resolved in the following upstream patch:

http://ncurses.scripts.mit.edu/?p=ncurses.git;a=blobdiff;f=ncurses/tinfo/lib_setup.c;h=17ec403d5f3213964bb307566d39698864c2663f;hp=0a0a1f5badb50acade9f406776c5a5708c82509b;hb=89ca7974b018d46049b6eaf1b7f17784e3a001d1;hpb=445bfe6a0fb691e3433d586a188be2ebe062384b

Comment 2 Fedora Update System 2016-07-19 11:23:11 UTC
ncurses-6.0-6.20160709.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03e5b363ac

Comment 3 Fedora Update System 2016-07-20 01:54:06 UTC
ncurses-6.0-6.20160709.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03e5b363ac

Comment 4 Fedora Update System 2016-07-28 23:55:19 UTC
ncurses-6.0-6.20160709.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.